Bug 253402 - multimedia/smtube: update to 20.6.0
Summary: multimedia/smtube: update to 20.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://www.smtube.org/en/index
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-10 10:52 UTC by VVD
Modified: 2021-02-12 11:08 UTC (History)
1 user (show)

See Also:


Attachments
update to 20.6.0 (1.62 KB, patch)
2021-02-10 10:52 UTC, VVD
vvd: maintainer-approval+
Details | Diff
update to 20.6.0 (1.77 KB, patch)
2021-02-10 11:24 UTC, VVD
vvd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2021-02-10 10:52:25 UTC
Created attachment 222323 [details]
update to 20.6.0

Tested on 12.2 amd64: check-plist/install/run.

Version 20.6
    The internal YouTube code has been removed. Now SMTube uses an external application to get the video URLs.
    Now it's possible to select the web site to use as homepage.
Version 20.1
    Fix for YouTube.
Version 19.6
    Fix for YouTube.
Version 18.10
    New option in the context menu to play the video with a web browser. The web browser may allow you to download the video.
Comment 1 VVD 2021-02-10 11:24:02 UTC
Created attachment 222330 [details]
update to 20.6.0

More detail change log:

Version 20.6:

(2020-05-27)
 * New option in preferences to select the site to use as homepage.

(2020-05-22)
 * The internal youtube code has been removed and now smtube just
   uses youtube-dl to get the video urls.
 * New option in the help menu to help install youtube-dl.


Version 20.1:

(2020-01-20)
 * Fix the youtube code.


Version 19.6:

(2019-06-03)
 * Fix the youtube code.


Version 18.11:

(2018-10-21)
 * Add an option to play the video with a web browser.

(2018-10-11)
 * Update the youtube code.
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-12 11:08:16 UTC
Committed,

Thanks!
Comment 3 commit-hook freebsd_committer 2021-02-12 11:08:31 UTC
A commit references this bug:

Author: fernape
Date: Fri Feb 12 11:08:06 UTC 2021
New revision: 565007
URL: https://svnweb.freebsd.org/changeset/ports/565007

Log:
  multimedia/smtube: update to 20.6.0

  ChangeLog: https://www.smtube.org/en/index

  PR:	253402
  Submitted by:	vvd@unislabs.com (maintainer)

Changes:
  head/multimedia/smtube/Makefile
  head/multimedia/smtube/distinfo
  head/multimedia/smtube/pkg-descr
  head/multimedia/smtube/pkg-plist